DECLARE
    -- test_5.sql
    v_fileHandle            utl_file.FILE_TYPE;

BEGIN
    -- New File
    v_fileHandle   := xml_spreadsheet.createNewFile('DOC','test_5.xml');
    -- open first worksheet
    xml_spreadsheet.newWorksheet(
             v_fileHandle
            ,'Numbers'
            );

    -- Write a data row
    xml_spreadsheet.writeData(v_fileHandle,'Number Default');
    xml_spreadsheet.writeData(v_fileHandle,100/39,xml_spreadsheet.c_numberDefault);
    -- New data row
    xml_spreadsheet.newDatarow(v_fileHandle);
    xml_spreadsheet.writeData(v_fileHandle,'Number unformatted');
    xml_spreadsheet.writeData(v_fileHandle,100/39,xml_spreadsheet.c_unformatted);
    -- New data row
    xml_spreadsheet.newDatarow(v_fileHandle);
    xml_spreadsheet.writeData(v_fileHandle,'Number with two decimal digits');
    xml_spreadsheet.writeData(v_fileHandle,100/39,xml_spreadsheet.c_number2decimal);
    -- New data row
    xml_spreadsheet.newDatarow(v_fileHandle);
    xml_spreadsheet.writeData(v_fileHandle,'number as percent');
    xml_spreadsheet.writeData(v_fileHandle,39/100,xml_spreadsheet.c_prozent);
    -- New data row
    xml_spreadsheet.newDatarow(v_fileHandle);
    xml_spreadsheet.writeData(v_fileHandle,'number as integer');
    xml_spreadsheet.writeData(v_fileHandle,100/39,xml_spreadsheet.c_integer);
    -- New data row
    xml_spreadsheet.newDatarow(v_fileHandle);
    xml_spreadsheet.writeData(v_fileHandle,'number as currency');
    xml_spreadsheet.writeData(v_fileHandle,-100/39,xml_spreadsheet.c_currency);
    -- New data row
    xml_spreadsheet.newDatarow(v_fileHandle);
    xml_spreadsheet.writeData(v_fileHandle,'number as accounting format');
    xml_spreadsheet.writeData(v_fileHandle,39/19,xml_spreadsheet.c_accounting);

    -- close worksheet
    xml_spreadsheet.closeWorksheet(
             v_fileHandle
            ,0 -- fix no rows in first worksheet when scrolling
            );

    -- Close file
    xml_spreadsheet.closeFile(v_fileHandle);

END;
/
